/*
 * Galaxium Messenger
 * 
 * Copyright (C) 2008 Paul Burton <paulburton89@gmail.com>
 * 
 * License: GNU General Public License (GPL)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

using System;
using System.Text;
using System.Collections.Generic;

using Gtk;
using Gdk;
using GLib;

using Galaxium.Gui.GtkGui;
using Galaxium.Gui;
using Galaxium.Core;
using Galaxium.Client;

namespace Galaxium.Protocol.Msn.GtkGui
{
	public sealed class BasicContactTreeSorter : ITreeNodeSorter
	{
		public int Compare (TreeNodeContext ctx1, TreeNodeContext ctx2)
		{
			MsnContact contact1 = ctx1.NodeObject as MsnContact;
			MsnContact contact2 = ctx2.NodeObject as MsnContact;
			
			return contact1.Nickname.CompareTo (contact2.Nickname);
		}
	}
}