/*
 * Galaxium Messenger
 * 
 * Copyright (C) 2008 Paul Burton <paulburton89@gmail.com>
 * 
 * License: GNU General Public License (GPL)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

using System;
using System.Xml.Serialization;

namespace Galaxium.Protocol.Msn.Soap.BodyParts
{
	[XmlRoot (Namespace=SoapConstants.nsAddressBook)]
	public class ServiceHandle
	{
		int _id;
		string _foreignId = string.Empty;
		ServiceType _type = null;
		
		public int Id
		{
			get { return _id; }
			set { _id = value; }
		}
		
		[XmlElement (IsNullable=false)]
		public string ForeignId
		{
			get { return _foreignId; }
			set { _foreignId = value; }
		}
		
		public ServiceType Type
		{
			get { return _type; }
			set { _type = value; }
		}
		
		public ServiceHandle Clone ()
		{
			ServiceHandle sh = new ServiceHandle ();
			
			sh._foreignId = _foreignId;
			sh._id = _id;
			sh._type = _type.Clone ();
			
			return sh;
		}
	}
}
