/*
 * Galaxium Messenger
 * 
 * Copyright (C) 2008 Paul Burton <paulburton89@gmail.com>
 * 
 * License: GNU General Public License (GPL)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

using System;
using System.Text;

namespace Galaxium.Protocol.Msn
{
	//TODO: Move this out of MSN
	public static class MsnByteArrayUtility
	{
		public static int IndexOf (byte[] input, byte[] pattern)
		{
			if (pattern.Length > input.Length)
				return -1;

			for (int i = 0; i <= input.Length - pattern.Length; i++)
			{
				bool found = true;

				for (int j = 0; j < pattern.Length; j++)
				{
					if (input[i + j] != pattern[j])
					{
						found = false;
						break;
					}
				}
				
				if (found)
					return i;
			}

			return -1;
		}
		
		public static int IndexOf (byte[] input, string pattern)
		{
			return IndexOf (input, Encoding.UTF8.GetBytes (pattern));
		}
	}
}
