/*
 * Galaxium Messenger
 * Copyright (C) 2008 Paul Burton <paulburton89@gmail.com>
 * 
 * License: GNU General Public License (GPL)
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 2 of the License, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

using System;

using NUnit.Framework;

using Galaxium.Protocol;
using Galaxium.Protocol.Msn;

[TestFixture]
public class MsnEncodingUtilityTests
{
	[Test]
	public void UrlEncodeTest ()
	{
		string str = "test test";
		Assert.AreEqual ("test%20test", EncodingUtility.UrlEncode (str), "Space encoded incorrectly");
		
		str = "76ro78w4tr9w7tr697q*^£*^(*&\"$\\%T*&QIgirfo\0iqw73rqtr98~@OQ{F~@U(FQj";
		Assert.AreEqual (str, EncodingUtility.UrlDecode (EncodingUtility.UrlEncode (str)), "Encode->Decode output differs");
	}
	
	[Test]
	public void Base64EncodeTest ()
	{
		string str = "76ro78w4tr9w7tr697q*^£*^(*&\"$\\%T*&QIgirfo\0iqw73rqtr98~@OQ{F~@U(FQj";
		Assert.AreEqual (str, EncodingUtility.Base64Decode (EncodingUtility.Base64Encode (str)), "Encode->Decode output differs");
	}
}
